Announcement Announcement Module
Collapse
No announcement yet.
AbstractPermission class is incompatible with JDK 1.4.2 Page Title Module
Move Remove Collapse
This topic is closed
X
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • AbstractPermission class is incompatible with JDK 1.4.2

    Apologies if this is a duplicate report but I searched first and couldn't find it so here goes...

    I was trying out the Spring Security contacts example under WebSphere 6.0.2.x (JDK 1.4.2) and ran into the following exception when clicking on the "Admin Permission" link:

    java.lang.NoSuchMethodError: java.lang.Class: method getSimpleName()Ljava/lang/String; not found

    A check of the stack trace in system out showed that "org.springframework.security.acls.domain.Abstract Permission.toString" was the offending method. A check of the source revealed the problem:

    public final String toString() {
    return this.getClass().getSimpleName() + "[" + getPattern() + "=" + mask + "]";
    }


    The java.lang.Class.getSimpleName() method is new to JDK 1.5.

    So, did I misunderstand the requirements for Spring Security and JDK 1.5 is a requirement or is this a bug?

  • #2
    Little help pls

    Any thoughts on this one? Anyone?

    Comment

    Working...
    X